]> www.wagner.pp.ru Git - oss/fgis.git/blobdiff - configure
Added logic to find GDAL installation.
[oss/fgis.git] / configure
index df4fc8089705a02b7bf29d6dc74226931d0c4358..38e7b2ef4ef249aa0b577ead7305fc700a87d991 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.56 for fGIS 0.0.1.
+# Generated by GNU Autoconf 2.56 for fGIS 0.0.2.
 #
 # Report bugs to <dron@remotesensing.org>.
 #
@@ -427,8 +427,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='fGIS'
 PACKAGE_TARNAME='fgis'
-PACKAGE_VERSION='0.0.1'
-PACKAGE_STRING='fGIS 0.0.1'
+PACKAGE_VERSION='0.0.2'
+PACKAGE_STRING='fGIS 0.0.2'
 PACKAGE_BUGREPORT='dron@remotesensing.org'
 
 # Factoring default headers for most tests.
@@ -468,7 +468,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO SET_MAKE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP EGREP LIBTOOL YACC ALLOCA LIBOBJS POW_LIB FGIS_LIBDIR TCLHDIR TCLHDIRDASHI TCL_LIBRARY TCL_DEFS TCL_DELETEME TCL_DBGX TCL_EXEC_PREFIX TCL_SHLIB_LD SHLIB_SUFFIX TCL_LD_FLAGS TCL_BUILD_LIB_SPEC TCL_LIB_SPEC TCL_SHARED_LIB_SUFFIX TCL_INC_DIR TCL_PACKAGE_PATH TKHDIRDASHI TK_VERSION TK_DEFS TK_DBGX TK_XINCLUDES TK_XLIBSW TK_BUILD_LIB_SPEC TK_LIB_SPEC TK_INC_DIR LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO SET_MAKE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP EGREP LIBTOOL YACC ALLOCA LIBOBJS POW_LIB FGIS_CONFDIR FGIS_LIBDIR FGIS_SCRIPTDIR LIBEPP TCLHDIR TCLHDIRDASHI TCL_LIBRARY TCL_DEFS TCL_DELETEME TCL_DBGX TCL_EXEC_PREFIX TCL_SHLIB_LD SHLIB_SUFFIX TCL_LD_FLAGS TCL_BUILD_LIB_SPEC TCL_LIB_SPEC TCL_SHARED_LIB_SUFFIX TCL_INC_DIR TCL_PACKAGE_PATH TKHDIRDASHI TK_VERSION TK_DEFS TK_DBGX TK_XINCLUDES TK_XLIBSW TK_BUILD_LIB_SPEC TK_LIB_SPEC TK_INC_DIR GDAL_INC LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -937,7 +937,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures fGIS 0.0.1 to adapt to many kinds of systems.
+\`configure' configures fGIS 0.0.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1007,7 +1007,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of fGIS 0.0.1:";;
+     short | recursive ) echo "Configuration of fGIS 0.0.2:";;
    esac
   cat <<\_ACEOF
 
@@ -1026,9 +1026,10 @@ Optional Packages:
   --with-pic              try to use only PIC/non-PIC objects default=use both
   --with-x                use the X Window System
   --with-tclinclude=DIR   directory where tcl private headers are
-  --with-tcl           directory containing tcl configuration (tclConfig.sh)
-  --with-tkinclude       directory where tk private headers are
-  --with-tk           directory containing tk configuration (tkConfig.sh)
+  --with-tcl=DIR          directory containing tcl configuration (tclConfig.sh)
+  --with-tkinclude=DIR    directory where tk private headers are
+  --with-tk=DIR           directory containing tk configuration (tkConfig.sh)
+  --with-gdal[=DIR]       path to GDAL build tree
 
 Some influential environment variables:
   CC          C compiler command
@@ -1105,7 +1106,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-fGIS configure 0.0.1
+fGIS configure 0.0.2
 generated by GNU Autoconf 2.56
 
 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
@@ -1120,7 +1121,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by fGIS $as_me 0.0.1, which was
+It was created by fGIS $as_me 0.0.2, which was
 generated by GNU Autoconf 2.56.  Invocation command line was
 
   $ $0 $@
@@ -1456,7 +1457,6 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
-# AC_CONFIG_HEADERS([config.h])
 am__api_version="1.4"
 ac_aux_dir=
 for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
@@ -1746,7 +1746,6 @@ echo "${ECHO_T}missing" >&6
 fi
 
 
-# AC_CONFIG_SRCDIR([include/regex.h])
 
           ac_config_headers="$ac_config_headers include/config.h"
 
@@ -4216,7 +4215,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4219 "configure"' > conftest.$ac_ext
+  echo '#line 4218 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4749,7 +4748,7 @@ chmod -w .
 save_CFLAGS="$CFLAGS"
 CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
 compiler_c_o=no
-if { (eval echo configure:4752: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:4751: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
   # The compiler can only warn and ignore the option if not recognized
   # So say no if there are warnings
   if test -s out/conftest.err; then
@@ -6545,7 +6544,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 6548 "configure"
+#line 6547 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -6643,7 +6642,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 6646 "configure"
+#line 6645 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10483,15 +10482,19 @@ done
 
 
 
-  test "x$prefix" = xNONE && prefix="$ac_default_prefix"
-  test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
-  ac_define_dir=`eval echo $"$sysconfdir"`
-  ac_define_dir=`eval echo $ac_define_dir`
+        FGIS_CONFDIR=$"$sysconfdir"
+        test "x$prefix" = xNONE && prefix="$ac_default_prefix"
+        test "x$exec_prefix" = xNONE && exec_prefix="${prefix}"
+        FGIS_CONFDIR=`eval echo $FGIS_CONFDIR`
+       FGIS_CONFDIR=`eval echo $FGIS_CONFDIR`
+
+
 
 cat >>confdefs.h <<_ACEOF
-#define FGIS_CONFIG "$ac_define_dir"
+#define FGIS_CONFDIR "$FGIS_CONFDIR"
 _ACEOF
 
+FGIS_CONFDIR=$FGIS_CONFDIR
 
 
 
@@ -10503,6 +10506,24 @@ _ACEOF
        FGIS_LIBDIR=`eval echo $FGIS_LIBDIR`
 
 
+FGIS_LIBDIR=$FGIS_LIBDIR
+
+
+
+
+        FGIS_SCRIPTDIR=$"$libdir/fgis/tcl"
+        test "x$prefix" = xNONE && prefix="$ac_default_prefix"
+        test "x$exec_prefix" = xNONE && exec_prefix="${prefix}"
+        FGIS_SCRIPTDIR=`eval echo $FGIS_SCRIPTDIR`
+       FGIS_SCRIPTDIR=`eval echo $FGIS_SCRIPTDIR`
+
+
+FGIS_SCRIPTDIR=$FGIS_SCRIPTDIR
+
+
+
+LIBEPP=../lib/libepp.la
+
 
 
 
 
 
 
+
+tcl_missing_msg="
+        ERROR: Can't find Tcl headers or library. See README for information
+        on how to obtain Tcl. If Tcl is installed, see INSTALL on how to tell
+        configure where Tcl is installed.
+"
+
 if test x"$no_tcl" = x"true" ; then
-    echo "     ERROR: Can't find Tcl headers or library."
-    echo "     See README for information on how to obtain Tcl."
-    echo "     If Tcl is installed, see INSTALL on how to tell"
-    echo "     configure where Tcl is installed."
-    exit 1
+       { { echo "$as_me:$LINENO: error: $tcl_missing_msg" >&5
+echo "$as_me: error: $tcl_missing_msg" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 #
@@ -11479,15 +11505,293 @@ LIBS=$SAVELIBS
 
 TK_INC_DIR=$TK_INC_DIR
 
-if [ $TK_VERSION < "8.4" ]; then
+if [[ $TK_VERSION < "8.4" ]]; then
 
 cat >>confdefs.h <<\_ACEOF
-#define TK_84PREV 0
+#define TK_84PREV
 _ACEOF
 
 fi
 
-                                                                      ac_config_files="$ac_config_files Makefile dll/Makefile epu/Makefile include/Makefile lib/Makefile tcl/Makefile tcl/pkgIndex.tcl"
+
+
+# Check whether --with-gdal or --without-gdal was given.
+if test "${with_gdal+set}" = set; then
+  withval="$with_gdal"
+
+fi;
+
+if test "$with_gdal" != "" ; then
+  GDAL_HOME=$with_gdal
+  echo Using requested GDAL_HOME of $GDAL_HOME
+elif test "$GDAL_HOME" != "" ; then
+  echo Using predefined GDAL_HOME=$GDAL_HOME
+elif test -d ../gdal ; then
+  GDAL_HOME=`pwd`/../gdal
+  echo Found local GDAL_HOME=$GDAL_HOME
+else
+  echo "$as_me:$LINENO: checking for GDALOpen in -lgdal.1.1" >&5
+echo $ECHO_N "checking for GDALOpen in -lgdal.1.1... $ECHO_C" >&6
+if test "${ac_cv_lib_gdal_1_1_GDALOpen+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgdal.1.1  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char GDALOpen ();
+int
+main ()
+{
+GDALOpen ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_gdal_1_1_GDALOpen=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_gdal_1_1_GDALOpen=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_gdal_1_1_GDALOpen" >&5
+echo "${ECHO_T}$ac_cv_lib_gdal_1_1_GDALOpen" >&6
+if test $ac_cv_lib_gdal_1_1_GDALOpen = yes; then
+  gdal_found=1
+else
+  gdal_found=0
+fi
+
+
+gdal_missing_msg="
+fGIS requires GDAL 1.1, but libgdal.1.1.so was not found. Please download
+and install it. See http://www.remotesensing.org/gdal/
+"
+
+  if test "$gdal_found" != "1" ; then
+    { { echo "$as_me:$LINENO: error: $gdal_missing_msg" >&5
+echo "$as_me: error: $gdal_missing_msg" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+
+gdal_h_missing_msg="
+fGIS requires GDAL 1.1, but gdal.h was not found. Please ensure GDAL,
+and the development include files are installed, or that you run configure
+with --with-gdal=path_to_gdal_build_tree.
+See http://www.remotesensing.org/gdal/
+"
+
+
+for ac_header in gdal.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+  yes:no )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf@gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+  no:yes )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf@gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+  if test "$ac_cv_header_gdal_h" != "yes" ; then
+    { { echo "$as_me:$LINENO: error: $gdal_h_missing_msg" >&5
+echo "$as_me: error: $gdal_h_missing_msg" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+  GDAL_LIB="-lgdal.1.1"
+  LIBS="$GDAL_LIB $LIBS"
+  GDAL_INC=""
+  GDAL_INC=$GDAL_INC
+
+fi
+
+if test "$GDAL_HOME" != "" ; then
+  GDAL_LIB="-L$GDAL_HOME -lgdal.1.1"
+  LIBS="$GDAL_LIB $LIBS"
+
+  GDAL_INC="-I$GDAL_HOME/port -I$GDAL_HOME/core -I$GDAL_HOME/ogr"
+
+  if test ! -d $GDAL_HOME/core ; then
+
+    { { echo "$as_me:$LINENO: error: Unable to find $GDAL_HOME/core directory, are you sure a
+regular GDAL build tree can be found at $GDAL_HOME?" >&5
+echo "$as_me: error: Unable to find $GDAL_HOME/core directory, are you sure a
+regular GDAL build tree can be found at $GDAL_HOME?" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+
+  if test ! -f $GDAL_HOME/libgdal.1.1.so ; then
+
+    { { echo "$as_me:$LINENO: error: Unable to find $GDAL_HOME/libgdal.1.1.so, are you sure a
+regular GDAL build tree can be found at $GDAL_HOME?" >&5
+echo "$as_me: error: Unable to find $GDAL_HOME/libgdal.1.1.so, are you sure a
+regular GDAL build tree can be found at $GDAL_HOME?" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+
+  GDAL_INC=$GDAL_INC
+
+fi
+
+                                                                                          ac_config_files="$ac_config_files Makefile etc/Makefile etc/fgis.rc dll/Makefile epu/Makefile include/Makefile lib/Makefile tcl/Makefile tcl/pkgIndex.tcl"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -11849,7 +12153,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by fGIS $as_me 0.0.1, which was
+This file was extended by fGIS $as_me 0.0.2, which was
 generated by GNU Autoconf 2.56.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -11912,7 +12216,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-fGIS config.status 0.0.1
+fGIS config.status 0.0.2
 configured by $0, generated by GNU Autoconf 2.56,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -12024,6 +12328,8 @@ do
   case "$ac_config_target" in
   # Handling of arguments.
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+  "etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES etc/Makefile" ;;
+  "etc/fgis.rc" ) CONFIG_FILES="$CONFIG_FILES etc/fgis.rc" ;;
   "dll/Makefile" ) CONFIG_FILES="$CONFIG_FILES dll/Makefile" ;;
   "epu/Makefile" ) CONFIG_FILES="$CONFIG_FILES epu/Makefile" ;;
   "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
@@ -12156,7 +12462,10 @@ s,@YACC@,$YACC,;t t
 s,@ALLOCA@,$ALLOCA,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@POW_LIB@,$POW_LIB,;t t
+s,@FGIS_CONFDIR@,$FGIS_CONFDIR,;t t
 s,@FGIS_LIBDIR@,$FGIS_LIBDIR,;t t
+s,@FGIS_SCRIPTDIR@,$FGIS_SCRIPTDIR,;t t
+s,@LIBEPP@,$LIBEPP,;t t
 s,@TCLHDIR@,$TCLHDIR,;t t
 s,@TCLHDIRDASHI@,$TCLHDIRDASHI,;t t
 s,@TCL_LIBRARY@,$TCL_LIBRARY,;t t
@@ -12181,6 +12490,7 @@ s,@TK_XLIBSW@,$TK_XLIBSW,;t t
 s,@TK_BUILD_LIB_SPEC@,$TK_BUILD_LIB_SPEC,;t t
 s,@TK_LIB_SPEC@,$TK_LIB_SPEC,;t t
 s,@TK_INC_DIR@,$TK_INC_DIR,;t t
+s,@GDAL_INC@,$GDAL_INC,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF
 
@@ -12699,3 +13009,4 @@ if test "$no_create" != yes; then
   $ac_cs_success || { (exit 1); exit 1; }
 fi
 
+